[ppc64-diag] Fix endianess issues in diagnostics code

Bug #1615584 reported by bugproxy on 2016-08-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ppc64-diag (Ubuntu)
Undecided
Adam Conrad

Bug Description

Hello Canonical ,

We have fixed couple of Endianess issues in ppc64-diag package recently. Can you please pull these patches?

-Vasant

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-145320 severity-high targetmilestone-inin16042

Default Comment by Bridge

Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → ppc64-diag (Ubuntu)
Steve Langasek (vorlon) on 2016-08-22
Changed in ppc64-diag (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Adam Conrad (adconrad)

------- Comment From <email address hidden> 2016-11-18 06:39 EDT-------
Vasant,

------- Comment From <email address hidden> 2016-11-18 06:41 EDT-------
I suppose that these patches are upstream, right? Can you provide the commit IDs to them. It helps Canonical to cherry pick them.

Sending patches through usually works for non upstreamed patches and for urgent issues. Ideally we want to provide commit IDs and Canonical can cherry pick from upstream.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-11-23 03:51 EDT-------
(In reply to comment #10)
> I suppose that these patches are upstream, right? Can you provide the commit
> IDs to them. It helps Canonical to cherry pick them.
>
> Sending patches through usually works for non upstreamed patches and for
> urgent issues. Ideally we want to provide commit IDs and Canonical can
> cherry pick from upstream.

I think we can't apply upstream patches as-is on distro version. Hence Ankit attached backported patches. For reference upstream commits are :

commit fca25d04208b1e0b7c5907c4e492e5fa7129f149
Author: Vasant Hegde <email address hidden>
Date: Fri Apr 15 22:34:02 2016 +0530

diags: Fix endianess issues in diagnostics test case
Fix endianess issues in diagnostics test case.
Signed-off-by: Vasant Hegde <email address hidden>
Reviewed-by: Ankit Kumar <email address hidden>

commit b8ed0b4bc5e89f956690a429a8fd8a0736f36012
Author: Vasant Hegde <email address hidden>
Date: Fri Apr 15 19:55:16 2016 +0530

diags: Fix endianess issues

SES enclosures follows network endianess. It works fine on big endian
machines but fails on little endian machines.

Unfortunately I didn't realize this issue earlier :-(

This patch addresses endianess issue across diagnostics code except
7031-D24/T24 enclosure... which is not supported on little endian
systems.

Signed-off-by: Vasant Hegde <email address hidden>
Reviewed-by: Ankit Kumar <email address hidden>

-Vasant

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ppc64-diag - 2.7.6-1

---------------
ppc64-diag (2.7.6-1) unstable; urgency=medium

  * Update to new upstream version 2.7.6. (LP: #1615584)
  * Remove doc generation
  * Add field Rules-Requires-Root
  * Bumps Standards-version (no change required)

 -- Frédéric Bonnard <email address hidden> Thu, 16 Jan 2020 13:26:34 +0100

Changed in ppc64-diag (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers